package com.wms_main.excel.easypoi.service;

import com.wms_main.model.po.*;

import java.util.List;

/**
 * 保存数据服务接口
 */
public interface ISaveExcelEasyPoi {
    /**
     * 保存接口接收日志
     * @param fileSuffix 文件后缀
     * @param logList 数据列表
     */
    void saveApiReceiveLogs(String fileSuffix, List<TSysLog> logList);

    /**
     * 保存接口发送日志
     * @param fileSuffix 文件后缀
     * @param apiLogList 数据列表
     */
    void saveApiSendLogs(String fileSuffix, List<TSysApi> apiLogList);

    /**
     * 保存Wms任务记录
     * @param fileSuffix 文件后缀
     * @param wmsTaskBakList 数据列表
     */
    void saveWmsTaskBak(String fileSuffix, List<TAppTaskBak> wmsTaskBakList);

    /**
     * 保存Wcs任务记录
     * @param fileSuffix 文件后缀
     * @param wcsTaskBakList 数据列表
     */
    void saveWcsTaskBak(String fileSuffix, List<TAppWcsTaskBak> wcsTaskBakList);

    /**
     * 保存拣选任务记录
     * @param fileSuffix 文件后缀
     * @param pickTaskBakList 数据列表
     */
    void savePickTaskBak(String fileSuffix, List<TAppPickTaskBak> pickTaskBakList);

    /**
     * 保存Dbs记录
     * @param fileSuffix 文件后缀
     * @param dbsRecordList 数据列表
     */
    void saveDbsRecord(String fileSuffix, List<TAppDbs> dbsRecordList);

    /**
     * 保存出库单记录
     * @param fileSuffix 文件后缀
     * @param outsRecordList 数据列表
     */
    void saveOutsRecord(String fileSuffix, List<TAppOutsRecord> outsRecordList);

    /**
     * 保存库存流水记录
     * @param fileSuffix 文件后缀
     * @param stockUpdateList 数据列表
     */
    void saveStockUpdateRecord(String fileSuffix, List<TAppStockUpdate> stockUpdateList);

    /**
     * 保存盘点记录
     * @param fileSuffix 文件后缀
     * @param inventoryList 数据列表
     */
    void saveInventoryRecord(String fileSuffix, List<TAppInventoryRecord> inventoryList);

    /**
     * 保存工作记录
     * @param fileSuffix 文件后缀
     * @param workRecordList 数据列表
     */
    void saveWorkRecord(String fileSuffix, List<TAppWorkRecord> workRecordList);
}
